#include "map.h"
#include <glm/vec3.hpp>

Map::Map(int nbTeams, int width, int height) :
    m_width(width),
    m_height(height),
    m_nbTeams(nbTeams)
{
    if(m_height == 0)
        m_height = m_width/2;
    map = new Pixel*[m_width];
    Pixel *ptr = new Pixel[m_width*m_height];
    for(int i=0; i<m_width; ++i)
        map[i] = ptr + i*m_height;
}

Map::~Map()
{
    delete map[0];
    delete map;
}
